Combination View Flat View Tree View
Threads [ Previous | Next ]
toggle
Andreas Reidt
Please upgrade to Mojarra 2.1.18 or newer?
May 17, 2013 1:26 AM
Answer

Andreas Reidt

Rank: New Member

Posts: 3

Join Date: October 30, 2012

Recent Posts

Hello Liferay Community

After updating to liferay faces bridge 3.1.2ga3 i get following Warning:

1WARN  [BridgeSessionListener:134] Unable to cleanup ViewScoped managed-beans upon session expiration. Please upgrade to Mojarra 2.1.18 or newer. For more info, see: http://issues.liferay.com/browse/FACES-1470



How do i get rid of it. I looked up the problem but how do i update mojarra and which Version is supported? i dont know exactly which jars i should change.
Sorry if this is a easy Problem but i dont know which Jar/ Version / etc. i have to change.
Im not using JBoss. Everything is running on Tomcat standard installation of the latest Liferay standard Version. In the Lib directory i have jsf-api-2.1.3-b02.jar and impl.
Vernon Singleton
RE: Please upgrade to Mojarra 2.1.18 or newer?
May 17, 2013 12:28 PM
Answer

Vernon Singleton

LIFERAY STAFF

Rank: Regular Member

Posts: 207

Join Date: January 14, 2013

Recent Posts

Andreas Reidt:
Hello Liferay Community

After updating to liferay faces bridge 3.1.2ga3 i get following Warning:

1WARN  [BridgeSessionListener:134] Unable to cleanup ViewScoped managed-beans upon session expiration. Please upgrade to Mojarra 2.1.18 or newer. For more info, see: http://issues.liferay.com/browse/FACES-1470



How do i get rid of it. I looked up the problem but how do i update mojarra and which Version is supported? i dont know exactly which jars i should change.
Sorry if this is a easy Problem but i dont know which Jar/ Version / etc. i have to change.
Im not using JBoss. Everything is running on Tomcat standard installation of the latest Liferay standard Version. In the Lib directory i have jsf-api-2.1.3-b02.jar and impl.



You guessed it right. Mojarra refers to the jsf-api and jsf-impl jar files. You can get those jar under these directories here:
https://maven.java.net/content/repositories/releases/com/sun/faces/

I would try for the 2.1.21 versions if you are using a 3.1.2ga3 snapshot. So just replace the ones you ahve with the 2.1.21 api and impl and you should be good to go.
Hope that helps.